Page MenuHomePhabricator

Track help link click metrics
Closed, ResolvedPublic

Description

Details for this task should be taken from the parent.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterTR: Track clicks on the help link

Related Objects

StatusSubtypeAssignedTask
ResolvedLydia_Pintscher
Resolvedhoo

Event Timeline

Tarrow created this task.Nov 4 2019, 2:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 4 2019, 2:41 PM
Tarrow updated the task description. (Show Details)Nov 4 2019, 2:42 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Nov 5 2019, 2:09 PM
hoo claimed this task.Nov 13 2019, 12:10 AM
hoo moved this task from To Do to Doing on the Wikidata-Tainted-References-Sprint5 board.
hoo added a comment.EditedNov 13 2019, 12:32 AM

So bridge uses a ServiceContainer to hold (as 'tracker') a mw.track instance. They use that, via their EventTracker and via DataBridgeTrackerService. We should probably do the same or something similar, although we can probably get away with a little less abstraction?

hoo added a comment.Nov 13 2019, 1:51 PM

Note: We decided to wrap mw.track in a Vue component now. I made some initial progress here and will (hopefully) finish that tomorrow.

Change 550966 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] TR: Track clicks on the help link

https://gerrit.wikimedia.org/r/550966

Change 550966 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] TR: Track clicks on the help link

https://gerrit.wikimedia.org/r/550966

hoo closed this task as Resolved.Nov 15 2019, 11:37 AM
hoo removed a project: Patch-For-Review.